/*
 *  
 *  $Id: iviewcontractable.cpp $
 *  Ginkgo CADx Project
 *
 *  Copyright 2008-12 MetaEmotion S.L. All rights reserved.
 *  http://ginkgo-cadx.com
 *
 *  This file is licensed under LGPL v3 license.
 *  See License.txt for details
 *
 */

#include "iimageexportcontractable.h"
#include <export/contracts/iimageexportcontract.h>
GNC::GCS::IImageExportContractable::IImageExportContractable()
{
	ExportContract = NULL;
}
GNC::GCS::IImageExportContractable::~IImageExportContractable()
{
}

bool GNC::GCS::IImageExportContractable::IsValidContract(IContract* contract)
{
	GNC::GCS::IImageExportContract* pExport = dynamic_cast<GNC::GCS::IImageExportContract*>(contract);
	return pExport != NULL;
}

void GNC::GCS::IImageExportContractable::Register(IContract* contract)
{
	GNC::GCS::IContractable::Register(contract);
	ExportContract = static_cast<GNC::GCS::IImageExportContract*>(contract);
}
